Loading...
Searching...
No Matches
osmium::index::map Namespace Reference

Key-value containers with unique integer values for a key. More...

## Classes

struct | create_map
struct | create_map< TId, TValue, DenseFileArray >
struct | create_map< TId, TValue, SparseFileArray >
class | Dummy
class | FlexMem
class | Map
class | SparseMemMap

## Typedefs

template<typename TId, typename TValue>
using | DenseFileArray = VectorBasedDenseMap<osmium::detail::mmap_vector_file<TValue>, TId, TValue>
template<typename TId, typename TValue>
using | DenseMemArray = VectorBasedDenseMap<std::vector<TValue>, TId, TValue>
template<typename TId, typename TValue>
using | DenseMmapArray = VectorBasedDenseMap<osmium::detail::mmap_vector_anon<TValue>, TId, TValue>
template<typename TId, typename TValue>
using | SparseFileArray = VectorBasedSparseMap<TId, TValue, osmium::detail::mmap_vector_file>
template<typename T>
using | StdVectorWrap = std::vector<T>
template<typename TId, typename TValue>
using | SparseMemArray = VectorBasedSparseMap<TId, TValue, StdVectorWrap>
template<typename TId, typename TValue>
using | SparseMmapArray = VectorBasedSparseMap<TId, TValue, osmium::detail::mmap_vector_anon>

## Detailed Description

Key-value containers with unique integer values for a key.

## Typedef Documentation

## DenseFileArray

template<typename TId, typename TValue>

using osmium::index::map::DenseFileArray = VectorBasedDenseMap<osmium::detail::mmap_vector_file<TValue>, TId, TValue>

## DenseMemArray

template<typename TId, typename TValue>

using osmium::index::map::DenseMemArray = VectorBasedDenseMap<std::vector<TValue>, TId, TValue>

## DenseMmapArray

template<typename TId, typename TValue>

using osmium::index::map::DenseMmapArray = VectorBasedDenseMap<osmium::detail::mmap_vector_anon<TValue>, TId, TValue>

## SparseFileArray

template<typename TId, typename TValue>

using osmium::index::map::SparseFileArray = VectorBasedSparseMap<TId, TValue, osmium::detail::mmap_vector_file>

## SparseMemArray

template<typename TId, typename TValue>

using osmium::index::map::SparseMemArray = VectorBasedSparseMap<TId, TValue, StdVectorWrap>

## SparseMmapArray

template<typename TId, typename TValue>

using osmium::index::map::SparseMmapArray = VectorBasedSparseMap<TId, TValue, osmium::detail::mmap_vector_anon>

## StdVectorWrap

template<typename T>

using osmium::index::map::StdVectorWrap = std::vector<T>